/* Chartview */

#import <Cocoa/Cocoa.h>
#import <AppKit/NSOpenGL.h>
#import <OpenGL/gl.h>
#import <OpenGL/glext.h>
#import "suh.h"
#import "Allele.h"

@interface Chartview : NSOpenGLView
{
	id tabl;
	
	GLenum texFormat[ 2 ];      // Format of texture (GL_RGB, GL_RGBA)
    NSSize texSize[ 2 ];        // Width and height
    char *texBytes[ 2 ];        // Texture data
    GLuint base;		// base list for font
	
	
	BOOL maybes;
	int locustype;
	NSMutableArray* list;
	int low, high;
	
}
-(void)buildFont;
-(void)glPrintAtX:(GLint)x Y:(GLint)y size:(float)size format:(char *)fmt, ...;

-(void)setLocusType:(int)lt;
-(void)setMaybeCheck:(BOOL)b;
-(void)setRange:(int)l High:(int)h;
-(void)clearGraph;

-(void)addAllele:(Allele*)all;

-(BOOL)isEven;
-(BOOL)isOdd;

-(int)getColumns;
@end
